\def\filedate{2005/08/30}
\def\fileversion{1.0}
\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{s4g}

\LoadClass[12pt,a4paper,twoside]{article}

\usepackage{fancyhdr}

\newtoks\SG@Author
\newtoks\SG@Address
\newtoks\SG@Title
\newtoks\SG@Abstract
\newtoks\SG@Keywords

\pagestyle{fancy}
\setlength{\headwidth}{160mm}
%\lhead[{\the\SG@Author}\hfill]{}
\lhead[]{}
\chead[]{}
%\rhead[]{\MakeUppercase{\the\SG@Title}}
\rhead[]{}
\cfoot[\thepage]{\thepage}
\renewcommand{\headrulewidth}{0pt}

\fancypagestyle{FirstPage}
{
   \fancyhead[RE,RO]{}
%  \fancyfoot[CO,CE]{}
  \renewcommand{\headrulewidth}{0pt}
}

\newcommand{\Author}[1]{\SG@Author={\sc{#1}}}

\newcommand{\Address}[1]{\SG@Address={#1}}

\newcommand{\Title}[1]{\SG@Title={#1}}

\newcommand{\Abstract}[1]{\SG@Abstract={#1}}

\newcommand{\Keywords}[1]{\SG@Keywords={#1}}

\newcounter{tab}
\newcommand{\captiontab}[1]{\refstepcounter{tab}\parbox{142mm}{\it{\vspace{0.3cm}Tab.~\thetab: #1}}}

\newcounter{fig}
\newcommand{\captionfig}[1]{\refstepcounter{fig}\parbox{142mm}{\it{\vspace{0.3cm}Fig.~\thefig: #1}}}


\newcommand{\PrintTitle}
{
  \thispagestyle{FirstPage}
  \begin{center}\setlength{\topmargin}{0pt}\setlength{\parskip}{0pt}
    {\MakeUppercase{\Large\textbf{\the\SG@Title}}\\[19pt]
    \large\sc{\the\SG@Author}}\\[19pt]
    \parbox{\textwidth}{\the\SG@Address}\\[12pt]
    \parbox{142mm}{\textbf{Abstract. }\the\SG@Abstract\\[12pt]
    \textbf{Keywords: }\the\SG@Keywords}
  \end{center} 

  \vspace*{-6pt}
}

\def\refname{References}


\makeatletter
\renewcommand\section{\@startsection{section}{1}{0mm}%
                                   {-3.25ex\@plus -1ex \@minus -.2ex}%
                                   {12pt}%
                                   {\large\bfseries}%
                                   }

\renewcommand\subsection{\@startsection{subsection}{2}{0mm}%
                                     {-2.6ex\@plus -1ex \@minus -.2ex}%
                                     {7pt}%
                                     {\normalfont\bfseries}}
\makeatother

\hoffset -1in 
\voffset -1in 
\headheight 14pt 
\headsep 8.3mm
\topmargin 12.5mm
\oddsidemargin  25mm     %   Left margin on odd-numbered pages.
\evensidemargin 25mm     %   Left margin on even-numbered pages.
\textwidth   160mm       %   Width of text line.
\textheight  246mm 

\parindent 6mm

\endinput
